version: '2.0'
services:
  dind:
    privileged: true
    image: docker:dind
    environment:
      - DOCKER_TLS_CERTDIR=/certs
    volumes:
      - docker-certs-ca:/certs/ca
      - docker-certs-client:/certs/client
    networks:
      dind:
        aliases:
          - docker

  ayvu-runner:
    build: .
    #image: docker:latest
    environment:
      - DOCKER_TLS_CERTDIR=/certs
    volumes:
      - docker-certs-client:/certs/client:ro
    networks:
      - dind
    depends_on:
      - dind
    command: gitlab-runner run 

volumes:
  docker-certs-ca:
  docker-certs-client:

networks:
  dind: 


